##############################################################################
# To have the sources you have to checkout the svn using :                   #
#             svn co http://guest:guest@dev.openwengo.com/svn/openwengo      #
#                                                                            #
#                     Revision : 4282 				 	     #
#   http://dev.openwengo.com/svn/openwengo/softphone-classic/branches/1.0/   #
#    Don't forget to notice the svn revision				     #
##############################################################################




%define name		openwengo
%define summary		VOIP client of the Wengo company
%define version		0.990
%define release		1.%{revision}.2%{_my_ext}
%define revision        4282

%define  _requires_exceptions libavcodec.so

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Source0:	%{name}-%{revision}.tar.bz2
#Source1:	%{name}-16.png.bz2
#Source2:	%{name}-32.png.bz2
#Source3:	%{name}-48.png.bz2
URL:		http://www.openwengo.com/
License:	GPL
Group:		Networking/Instant messaging
BuildRequires:  scons 
BuildRequires:  glib2-devel
BuildRequires:  qt3-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  openssl-devel
BuildRequires:  ImageMagick
BuildRoot:	%{_tmppath}/%{name}-buildroot
Vendor:         %{vendor}
Packager:       %{packager}
Distribution:   %{distribution}

%description
Wengophone is an opensource SIP softphone (GPL licence).
It is an ideal solution for any future proof telephony choice!
(jump on the bandwagon http://www.openwengo.com !)



%prep
%setup -q -n %{name}-%{revision}


%build
%if "%{_lib}" == "lib64"
DESTDIR=$RPM_BUILD_ROOT scons libsuffix=64 %_smp_mflags softphone softphone-runtime
%else
DESTDIR=$RPM_BUILD_ROOT scons  %_smp_mflags softphone softphone-runtime
%endif

# As OpenWengo doesn't help for the installation , we have to copy ourself the needed files
# I have used as reference the rpm founded on the rpm provided by them. 
%install
rm -rf $RPM_BUILD_ROOT %name.lang

# We now need to copy these files into the right place
pushd build-wengo/linux2-debug/softphone/runtime
rm -f *.a *.cc
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
cp -r . $RPM_BUILD_ROOT/%{_libdir}/%{name}
popd
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%name/lang
cp build-wengo/linux2-debug/softphone/gui/lang/*.qm $RPM_BUILD_ROOT%{_libdir}/%{name}/lang
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cat << EOF > $RPM_BUILD_ROOT/%{_bindir}/openwengo
#!/bin/bash
export LD_LIBRARY_PATH=%{_libdir}/openwengo
cd %{_libdir}/openwengo
./wengophone
EOF
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/openwengo

ln -s %{_bindir}/openwengo  $RPM_BUILD_ROOT/%{_bindir}/wengophone

# icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 16 wengophone.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -scale 32 wengophone.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
ln -s %_libdir/%name/wengophone.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Internet/Instant Messaging"\
	icon="%{name}.png"\
	title="OpenWengo"\
	longtitle="%{summary}"
EOF

for qm in %buildroot%_libdir/%name/lang/*.qm;do
echo "%lang($(basename $qm|sed -e s/wengo_// -e s/.qm$//)) $(echo $qm|sed s!%buildroot!!)" >> %name.lang
done
perl -pi -e "s/zh-cn/zh_CN/" %name.lang

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO
%{_bindir}/wengophone
%{_menudir}/%{name}
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/lang
%{_libdir}/%{name}/lang/wengo_en.qm
%{_libdir}/%{name}/connecting/
%{_libdir}/%{name}/emoticons/
%{_libdir}/%{name}/icons/
%{_libdir}/%{name}/sounds/
%{_libdir}/%{name}/styles/
%{_libdir}/%{name}/COPYING
%{_libdir}/%{name}/wengo*
%{_libdir}/%{name}/*.html
%{_libdir}/%{name}/*.txt
%{_libdir}/%{name}/*.so
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Mar 10 2006 Scott Grayban <sgrayban@mandriva.org> 0.990-1.4282.2bgn
- Back ported to 2006 from cooker.

* Fri Feb 24 2006 G�z Waschk <waschk@mandriva.org> 0.990-1.4282.2mdk
- fix menu
- tag translations with %%lang
- don't depend on ffmpeg-devel, the private version of libavcodec.so do
- fix buildrequires

* Mon Feb 20 2006 Nicolas L�ureuil <neoclust@mandriva.org> 0.990-1.4282.1mdk
- New svn checkout (doesn't compile yet on amd64)
- Fix BuildRequires thanks to thierry Vignaud

* Tue Feb 07 2006 Nicolas L�ureuil <neoclust@mandriva.org> 0.990-1.4172.1mdk
- New svn sync
- Remove patch 0 : Merged upstream

* Sun Jan 15 2006 Michael Scherer <misc@mandriva.org> 0.990-1.3669.3mdk
- add BuildRequires : openssl-devel ( thanks poipoi for spotting this one )
- try to correct the release

* Mon Dec 26 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.990-0.3669.2mdk
- Add buildrequires : libalsa2-devel

* Mon Dec 26 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.990-0.3669-1mdk
- New svn sync
	- Big improvement of video.
- Add buildRequires : glib-devel

* Fri Dec 09 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.957-0.2864.1mdk
- Fix Requires
- Fix release number 

* Mon Nov 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.952-1.2864.1mdk
- New svn sync

* Wed Nov 02 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.952-1.2611.2mdk
- Activate Menu entry (but missing icon)

* Wed Nov 02 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.952-0.2611.1mdk
- New sync with svn
- Change numerotation, use revision number instead of date of build.

* Tue Oct 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.952-0.191005.1mdk
- New sync

* Tue Oct 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.952-0.181005.2mdk
- Enable video (test)

* Tue Oct 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.952-0.181005.1mdk
- First mandriva release help with a big part from couriousous
